| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
ColumnEditorFrame Class Reference

An accordion frame for editing packet list column properties. More...

`#include <column_editor_frame.h>`

Inheritance diagram for ColumnEditorFrame:

## Signals
void | columnEdited ()
| Signal emitted when a column's properties have been successfully edited.
Signals inherited from AccordionFrame
void | visibilityChanged (bool visible)
| Emitted when the frame's visibility changes.

## Public Member Functions
| ColumnEditorFrame (QWidget *parent=nullptr)
| Constructs a new ColumnEditorFrame.
| ~ColumnEditorFrame ()
| Destroys the ColumnEditorFrame.
void | editColumn (int column)
| Sets up the editor for a specific column index.
Public Member Functions inherited from AccordionFrame
| AccordionFrame (QWidget *parent=0)
| Create an AccordionFrame with the given parent.
void | animatedShow ()
| Show the frame with a slide-down animation.
void | animatedHide ()
| Hide the frame with a slide-up animation.
void | updateStyleSheet ()
| Reapply the stylesheet after a palette or style change.

## Protected Member Functions
virtual void | showEvent (QShowEvent *event) override
| Handles the show event for the frame.
virtual void | keyPressEvent (QKeyEvent *event) override
| Handles key press events, typically for accepting/rejecting the dialog.
Protected Member Functions inherited from AccordionFrame
virtual void | hideEvent (QHideEvent *) override
| Emit visibilityChanged(false) when the frame is hidden.

## Detailed Description

An accordion frame for editing packet list column properties.

## Constructor & Destructor Documentation

## ◆ ColumnEditorFrame()

ColumnEditorFrame::ColumnEditorFrame | ( | QWidget * | parent = nullptr | ) |
| explicit

Constructs a new ColumnEditorFrame.

Parameters

  parent | The parent widget, defaults to nullptr.

## Member Function Documentation

## ◆ editColumn()

void ColumnEditorFrame::editColumn | ( | int | column | ) |

Sets up the editor for a specific column index.

Parameters

  column | The index of the column to edit.

## ◆ keyPressEvent()

void ColumnEditorFrame::keyPressEvent | ( | QKeyEvent * | event | ) |
| override protected virtual

Handles key press events, typically for accepting/rejecting the dialog.

Parameters

  event | The key press event details.

## ◆ showEvent()

void ColumnEditorFrame::showEvent | ( | QShowEvent * | event | ) |
| override protected virtual

Handles the show event for the frame.

Parameters

  event | The show event details.

Reimplemented from AccordionFrame.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/column_editor_frame.h
- /builds/wireshark/wireshark/ui/qt/column_editor_frame.cpp